View Issue Details

IDProjectCategoryView StatusLast Update
0000216Siril[All Projects] Sirilpublic2017-12-09 09:26
Reporterlock42Assigned Tolock42 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version0.9.7 
Target Version0.9.8Fixed in Version0.9.8 
Summary0000216: Implement Lucy-Richardson deconvolution
DescriptionDeconvolution is needed for astrophotographic images.
A good example is here:
https://github.com/cpcdoy/img_proc/tree/master/src
or
https://github.com/chrrrisw/RL_deconv/blob/master/rl_deconv.cpp
or
https://github.com/nufle/DeconvolutionCV
TagsNo tags attached.

Activities

lock42

2017-12-08 10:47

administrator   ~0000438

Fix committed to Siril (1910).

Related Changesets

Siril: 0.9 r1910

2017-12-08 10:47:13

lock42

Details
First implementation of Lucy-Richardson deconvolution tool. (Fix 0000216)
For now it is very basic. Need to be improved.
Affected Issues
0000216
mod - /branches/0.9/po/ar_DZ.po
mod - /branches/0.9/po/el.po
mod - /branches/0.9/po/es_ES.po
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/po/it_IT.po
mod - /branches/0.9/po/nl_BE.po
mod - /branches/0.9/po/pt_PT.po
mod - /branches/0.9/po/tl_PH.po
mod - /branches/0.9/po/zh_CN.po
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command.h
mod - /branches/0.9/src/core/proto.h
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/opencv/opencv.cpp
mod - /branches/0.9/src/opencv/opencv.h

Siril: 0.9 r1911

2017-12-09 09:25:59

lock42

Details
Add GUI for deconvolution tool (Issue 0000216) Affected Issues
0000216
mod - /branches/0.9/ChangeLog
mod - /branches/0.9/NEWS
mod - /branches/0.9/po/ar_DZ.po
mod - /branches/0.9/po/el.po
mod - /branches/0.9/po/es_ES.po
mod - /branches/0.9/po/fr.po
mod - /branches/0.9/po/it_IT.po
mod - /branches/0.9/po/nl_BE.po
mod - /branches/0.9/po/pt_PT.po
mod - /branches/0.9/po/tl_PH.po
mod - /branches/0.9/po/zh_CN.po
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/proto.h
mod - /branches/0.9/src/core/siril.c
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/gui/siril3.glade

Issue History

Date Modified Username Field Change
2017-12-06 21:32 lock42 New Issue
2017-12-06 21:35 lock42 Description Updated View Revisions
2017-12-07 10:33 lock42 Description Updated View Revisions
2017-12-08 10:45 lock42 Assigned To => lock42
2017-12-08 10:45 lock42 Status new => assigned
2017-12-08 10:45 lock42 Target Version 0.9.9 => 0.9.8
2017-12-08 10:47 lock42 Changeset attached => Siril 0.9 r1910
2017-12-08 10:47 lock42 Note Added: 0000438
2017-12-08 10:47 lock42 Status assigned => resolved
2017-12-08 10:47 lock42 Resolution open => fixed
2017-12-08 10:50 lock42 Fixed in Version => 0.9.8
2017-12-09 09:26 lock42 Changeset attached => Siril 0.9 r1911